Bug 148931 - grub does not remember last booted option after kernel upgrade
grub does not remember last booted option after kernel upgrade
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: booty (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-16 18:50 EST by Wayne Pascoe
Modified: 2008-02-06 18:33 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-06 18:33:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wayne Pascoe 2005-02-16 18:50:04 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.5) Gecko/20041110 Firefox/1.0

Description of problem:
By default, grub does not remember the last menu entry that was chosen. 

This can be changed by adding the line
default saved
in the global section of the grub configuration and adding the line
savedefault
in every kernel / OS section of the grub.conf file

Having done this though, installation of new Kernel RPM's through yum stops this working. It would appear that the
default saved
line is removed from the configuration. 

Once a kernel upgrade is performed, grub goes back to not remembering the last menu option until the config file is edited. 

This can cause serious trouble if you reboot a machine thinking that it will boot using the last menu option that you used, and it doesn't. You can find the machine booting the wrong kernel image for the work you are trying to do, and this can cause problems such as no remote access to machine, etc.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Configure grub to remember the last booted option by adding
default saved 
to global configuration section of grub.conf and adding the line
savedefault
to every selection section in grub.conf

2. Reboot machine and select menu entry

3. Reboot machine again and note that previously selected menu entry is still selected

4. Install new kernel

5. Reboot machine and notice that new kernel menu option is the default. Choose a different menu option and boot that instead.

6. Reboot machine again and notice that new kernel menu option is still the default.
  

Actual Results:  The newly installed kernel's menu option is the default after every reboot, no matter which menu option was selected

Expected Results:  The last used menu item should be the default menu item on bootup.

Additional info:
Comment 1 Jef Spaleta 2005-04-20 14:03:06 EDT
Have you tried editting /etc/sysconfig/kernel
so that  UPDATEDEFAULT=no  and retesting with that setting?

-jef
Comment 2 Matthew Miller 2006-07-10 17:25:06 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 petrosyan 2008-02-06 18:33:29 EST
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release please reopen this bug and assign it to the corresponding
Fedora version.

Note You need to log in before you can comment on or make changes to this bug.